Candidates

Update candidate

PUT
/api/public/v3/recruitment/candidates/{id}

Path Parameters

id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/public/v3/recruitment/candidates/0" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d ''
{  "data": {    "id": 0,    "full_name": "string",    "email": "string",    "cover_letter": "string",    "resume": true,    "resume_url": null,    "created_by": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "applications": [      null    ],    "custom_fields": [      null    ],    "consent": {      "status": "string",      "consented_at": null,      "rejected_at": null,      "expired_at": null    },    "future_recruitment_consent": {      "status": "string",      "consented_at": "string",      "rejected_at": "string",      "expired_at": "string"    },    "created_at": "string",    "updated_at": "string",    "desired_salary": 0,    "currency_code": "string"  }}